linux: 3.2.0-25.40 -proposed tracker

Bug #1003534 reported by Luis Henriques on 2012-05-23
16
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Brendan Donegan
Prepare-package
Undecided
Luis Henriques
Prepare-package-lbm
Undecided
Luis Henriques
Prepare-package-meta
Undecided
Luis Henriques
Promote-to-proposed
Undecided
Adam Conrad
Promote-to-security
Undecided
Adam Conrad
Promote-to-updates
Undecided
Adam Conrad
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
John Johansen
Verification-testing
Undecided
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Precise
Undecided
Unassigned

Bug Description

This bug is for tracking the 3.2.0-25.40 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Wednesday, 23. May 2012 16:56 UTC
kernel-stable-Prepare-package-end:Friday, 25. May 2012 15:34 UTC
kernel-stable-Promote-to-proposed-start:Friday, 25. May 2012 15:34 UTC
kernel-stable-Promote-to-proposed-end:Friday, 25. May 2012 21:01 UTC
kernel-stable-Verification-testing-start:Friday, 25. May 2012 22:01 UTC
kernel-stable-Regression-testing-end:Tuesday, 29. May 2012 14:46 UTC
kernel-stable-Certification-testing-start:Monday, 04. June 2012 19:15 UTC
kernel-stable-Security-signoff-start:Monday, 04. June 2012 19:15 UTC
kernel-stable-Verification-testing-end:Monday, 04. June 2012 19:15 UTC
kernel-stable-Security-signoff-end:Wednesday, 06. June 2012 06:31 UTC
kernel-stable-Promote-to-updates-start:Tuesday, 12. June 2012 21:30 UTC
kernel-stable-Certification-testing-end:Tuesday, 12. June 2012 21:30 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Wednesday, 13. June 2012 16:30 UTC
kernel-stable-Promote-to-updates-end:Wednesday, 13. June 2012 16:30 UTC

Luis Henriques (henrix) on 2012-05-23
tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: precise
Changed in kernel-sru-workflow:
status: New → In Progress

Tag Ubuntu-3.2.0-25.10 is missing from git://kernel.ubuntu.com/ubuntu/ubuntu-precise.git, once that is fixed set prepare-package-lbm task to In Progress again

Herton R. Krzesinski (herton) wrote :

Disregard comment #1, it was just some testing with stable bot that went wrong.

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ti-omap4 - bug 1004555
linux-armadaxp - bug 1004556

description: updated
Colin Watson (cjwatson) on 2012-05-25
Changed in linux (Ubuntu):
status: In Progress → Invalid
Brad Figg (brad-figg) on 2012-05-25
description: updated
Download full text (24.8 KiB)

The following packages ended up in the wrong component in the -proposed pocket:

block-modules-3.2.0-25-generic-di 3.2.0-25.40 - is in universe instead of main
block-modules-3.2.0-25-generic-di 3.2.0-25.40 - is in universe instead of main
block-modules-3.2.0-25-generic-pae-di 3.2.0-25.40 - is in universe instead of main
block-modules-3.2.0-25-omap-di 3.2.0-25.40 - is in universe instead of main
block-modules-3.2.0-25-omap-di 3.2.0-25.40 - is in universe instead of main
block-modules-3.2.0-25-powerpc-smp-di 3.2.0-25.40 - is in universe instead of main
block-modules-3.2.0-25-powerpc64-smp-di 3.2.0-25.40 - is in universe instead of main
block-modules-3.2.0-25-virtual-di 3.2.0-25.40 - is in universe instead of main
block-modules-3.2.0-25-virtual-di 3.2.0-25.40 - is in universe instead of main
crypto-modules-3.2.0-25-generic-di 3.2.0-25.40 - is in universe instead of main
crypto-modules-3.2.0-25-generic-di 3.2.0-25.40 - is in universe instead of main
crypto-modules-3.2.0-25-generic-pae-di 3.2.0-25.40 - is in universe instead of main
crypto-modules-3.2.0-25-omap-di 3.2.0-25.40 - is in universe instead of main
crypto-modules-3.2.0-25-omap-di 3.2.0-25.40 - is in universe instead of main
crypto-modules-3.2.0-25-powerpc-smp-di 3.2.0-25.40 - is in universe instead of main
crypto-modules-3.2.0-25-powerpc64-smp-di 3.2.0-25.40 - is in universe instead of main
crypto-modules-3.2.0-25-virtual-di 3.2.0-25.40 - is in universe instead of main
crypto-modules-3.2.0-25-virtual-di 3.2.0-25.40 - is in universe instead of main
fat-modules-3.2.0-25-generic-di 3.2.0-25.40 - is in universe instead of main
fat-modules-3.2.0-25-generic-di 3.2.0-25.40 - is in universe instead of main
fat-modules-3.2.0-25-generic-pae-di 3.2.0-25.40 - is in universe instead of main
fat-modules-3.2.0-25-omap-di 3.2.0-25.40 - is in universe instead of main
fat-modules-3.2.0-25-omap-di 3.2.0-25.40 - is in universe instead of main
fat-modules-3.2.0-25-powerpc-smp-di 3.2.0-25.40 - is in universe instead of main
fat-modules-3.2.0-25-powerpc64-smp-di 3.2.0-25.40 - is in universe instead of main
fat-modules-3.2.0-25-virtual-di 3.2.0-25.40 - is in universe instead of main
fat-modules-3.2.0-25-virtual-di 3.2.0-25.40 - is in universe instead of main
fb-modules-3.2.0-25-generic-di 3.2.0-25.40 - is in universe instead of main
fb-modules-3.2.0-25-generic-di 3.2.0-25.40 - is in universe instead of main
fb-modules-3.2.0-25-generic-pae-di 3.2.0-25.40 - is in universe instead of main
fb-modules-3.2.0-25-virtual-di 3.2.0-25.40 - is in universe instead of main
fb-modules-3.2.0-25-virtual-di 3.2.0-25.40 - is in universe instead of main
firewire-core-modules-3.2.0-25-generic-di 3.2.0-25.40 - is in universe instead of main
firewire-core-modules-3.2.0-25-generic-di 3.2.0-25.40 - is in universe instead of main
firewire-core-modules-3.2.0-25-generic-pae-di 3.2.0-25.40 - is in universe instead of main
firewire-core-modules-3.2.0-25-powerpc-smp-di 3.2.0-25.40 - is in universe instead of main
firewire-core-modules-3.2.0-25-powerpc64-smp-di 3.2.0-25.40 - is in universe instead of main
floppy-modules-3.2.0-25-generic-di 3.2.0-25.40 - is in universe instead of main
floppy-modules-3.2.0-25-generic-di 3.2.0-25.40 - is in uni...

description: updated
Adam Conrad (adconrad) wrote :

The above overrides should be fixed in the next publisher run.

Brad Figg (brad-figg) on 2012-05-25
description: updated
Brad Figg (brad-figg) on 2012-05-25
description: updated
C de-Avillez (hggdh2) wrote :

No regressions observed

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2012-05-29
description: updated
Herton R. Krzesinski (herton) wrote :

All bugs show as verified on sru-report, verification-testing->fix released.

Brad Figg (brad-figg) on 2012-06-04
description: updated
Richard Hansen (rhansen) wrote :

I'm experiencing a shutdown bug with VirtualBox with this kernel; see bug #1009156.

John Johansen (jjohansen) wrote :

looks good

Brad Figg (brad-figg) on 2012-06-06
description: updated

Hardware Certification have begun testing this -proposed kernel. Note that the pool of systems being tested has changed from the last run as new systems have been certified in the interim.

Hardware Certification have completed testing on 29/29 systems. No regressions were observed and the report is available here: http://people.canonical.com/~hwcert/sru-testing/wk23_2012/precise-proposed.html

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2012-06-12
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (21.0 KiB)

This bug was fixed in the package linux - 3.2.0-25.40

---------------
linux (3.2.0-25.40) precise-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1003534

  [ Andy Whitcroft ]

  * [Config] control.stub is an intermediate product not a dependancy
    - LP: #992414
  * [Config] include include/generated/compile.h
    - LP: #942569

  [ Dave Martin ]

  * SAUCE: rtc: pl031: Enable module alias autogeneration for AMBA drivers
    - LP: #1000831

  [ Herton Ronaldo Krzesinski ]

  * Revert "SAUCE: ite-cir: postpone ISR registration"
    - LP: #1002484
  * SAUCE: async_populate_rootfs: fix build warnings
    - LP: #1003417

  [ Ike Panhc ]

  * [Config] add highbank flavour
    - LP: #1000831

  [ John Johansen ]

  * SAUCE: apparmor: fix long path failure due to disconnected path
    - LP: #955892
  * SAUCE: apparmor: fix profile lookup for unconfined
    - LP: #978038, #987371

  [ Mark Langsdorf ]

  * SAUCE: arm highbank: add support for pl320-ipc driver
    - LP: #1000831

  [ Rob Herring ]

  * SAUCE: input: add a key driver for highbank
    - LP: #1000831
  * SAUCE: ARM: highbank: Add smc calls to enable/disable the L2
    - LP: #1000831
  * SAUCE: force DMA buffers to non-bufferable on highbank
    - LP: #1000831
  * SAUCE: net: calxedaxgmac: fix net timeout recovery
    - LP: #1000831

  [ Tim Gardner ]

  * [Config] perarch and indep tools builds need separate build directories
  * [Config] CONFIG_XEN_ACPI_PROCESSOR=y
    - LP: #898112

  [ Upstream Kernel Changes ]

  * Revert "autofs: work around unhappy compat problem on x86-64"
    - LP: #1002482
  * Input: wacom - cleanup feature report for bamboos
    - LP: #568064
  * Input: wacom - remove unused bamboo HID parsing
    - LP: #568064
  * Input: wacom - add some comments to wacom_parse_hid
    - LP: #568064
  * Input: wacom - relax Bamboo stylus ID check
    - LP: #568064
  * Input: wacom - read 3rd gen Bamboo Touch HID data
    - LP: #568064
  * Input: wacom - 3rd gen Bamboo P&Touch packet support
    - LP: #568064
  * Input: wacom - ignore unwanted bamboo packets
    - LP: #568064
  * HID: wacom: Move parsing to a separate function
    - LP: #568064
  * HID: wacom: Initial driver for Wacom Intuos4 Wireless (Bluetooth)
    - LP: #568064
  * Input: wacom - add support for Cintiq 24HD
    - LP: #568064
  * Input: wacom - add LED support for Cintiq 24HD
    - LP: #568064
  * Input: wacom - add missing LEDS_CLASS to Kconfig
    - LP: #568064
  * Input: wacom - fix 3rd-gen Bamboo MT when 4+ fingers are in use
    - LP: #568064
  * power_supply: allow a power supply to explicitly point to powered
    device
    - LP: #568064
  * power_supply: add "powers" links to self-powered HID devices
    - LP: #568064
  * HID: wiimote: fix invalid power_supply_powers call
    - LP: #568064
  * HID: wacom: Fix invalid power_supply_powers calls
    - LP: #568064
  * ARM: 7178/1: fault.c: Port OOM changes into do_page_fault
    - LP: #951043
  * ARM: 7368/1: fault.c: correct how the tsk->[maj|min]_flt gets
    incremented
    - LP: #951043
  * hugepages: fix use after free bug in "quota" handling
    - LP: #990368
    - CVE-2012-2133
  * provide disable_cpufreq() functio...

Changed in linux (Ubuntu Precise):
status: New → Fix Released

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers